Bug 566361 - GraphicsMagick-devel and GraphicsMagick-c++-devel multilib conflict
GraphicsMagick-devel and GraphicsMagick-c++-devel multilib conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 01:49 EST by Philippe Troin
Modified: 2012-09-17 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: GraphicsMagick-1.3.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 07:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2010-02-18 01:49:27 EST
Transaction Check Error:
  file /usr/bin/GraphicsMagick-config from install of GraphicsMagick-devel-1.3.7-4.fc12.i686 conflicts with file from package GraphicsMagick-devel-1.3.7-4.fc12.x86_64
  file /usr/include/GraphicsMagick/magick/magick_types.h from install of GraphicsMagick-devel-1.3.7-4.fc12.i686 conflicts with file from package GraphicsMagick-devel-1.3.7-4.fc12.x86_64
  file /usr/bin/GraphicsMagick++-config from install of GraphicsMagick-c++-devel-1.3.7-4.fc12.i686 conflicts with file from package GraphicsMagick-c++-devel-1.3.7-4.fc12.x86_64
Comment 1 Philippe Troin 2010-06-14 12:31:08 EDT
Still present in F13.
Comment 2 Bug Zapper 2011-06-02 12:27:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 11:00:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Philippe Troin 2012-06-12 18:30:36 EDT
Bug is still present in F17:

# yum install GraphicsMagick-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package GraphicsMagick-devel-1.3.14-1.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package GraphicsMagick-devel.i686 0:1.3.14-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                    Arch       Version               Repository    Size
================================================================================
Installing:
 GraphicsMagick-devel       i686       1.3.14-1.fc17         fedora        68 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 68 k
Installed size: 291 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/GraphicsMagick-config from install of GraphicsMagick-devel-1.3.14-1.fc17.i686 conflicts with file from package GraphicsMagick-devel-1.3.14-1.fc17.x86_64
  file /usr/include/GraphicsMagick/magick/magick_types.h from install of GraphicsMagick-devel-1.3.14-1.fc17.i686 conflicts with file from package GraphicsMagick-devel-1.3.14-1.fc17.x86_64

Error Summary
-------------

[2]    12022 exit 1     noglob yum install GraphicsMagick-devel
noglob yum install GraphicsMagick-devel  9.391 user 0.709 system 69% cpu 14.488 total
Comment 5 Rex Dieter 2012-08-20 23:28:22 EDT
* Sun Jun 24 2012 Rex Dieter <rdieter@fedoraproject.org>
- 1.3.16-1
- GraphicsMagick-1.3.16
- GraphicsMagick-devel and GraphicsMagick-c++-devel multilib conflict (#566361)
Comment 6 Fedora Update System 2012-08-20 23:48:50 EDT
GraphicsMagick-1.3.16-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.fc18
Comment 7 Fedora Update System 2012-08-20 23:49:53 EDT
GraphicsMagick-1.3.16-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.fc17
Comment 8 Fedora Update System 2012-08-20 23:51:01 EDT
GraphicsMagick-1.3.16-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.fc16
Comment 9 Fedora Update System 2012-08-20 23:53:26 EDT
GraphicsMagick-1.3.16-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.el6
Comment 10 Fedora Update System 2012-08-20 23:54:24 EDT
GraphicsMagick-1.3.16-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.el5
Comment 11 Fedora Update System 2012-08-21 00:52:36 EDT
Package GraphicsMagick-1.3.16-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing GraphicsMagick-1.3.16-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12333/GraphicsMagick-1.3.16-5.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-09-07 07:30:54 EDT
GraphicsMagick-1.3.16-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-07 07:34:29 EDT
GraphicsMagick-1.3.16-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-09-07 17:04:59 EDT
GraphicsMagick-1.3.16-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-07 17:06:00 EDT
GraphicsMagick-1.3.16-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-09-17 19:48:22 EDT
GraphicsMagick-1.3.16-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.